/*:root,[data-bs-theme=light] {*/
/*    !*--br-font-sans-serif: "Nunito Sans", sans-serif;*!*/
/*}*/

/*body {*/
/*    min-height: 100vh;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*}*/



@font-face {
    font-family: "Nunito Sans Variable";
    src: url("./assets/fonts/nunitosans.woff2") format("woff2");
    font-weight: 200 900;
    font-stretch: 75% 125%;
    font-style: italic;
    font-display: swap;
}

body {
    font-family: "Nunito Sans Variable", system-ui, -apple-system, "Segoe UI", sans-serif !important;
}


header {
    position: fixed;
}

footer {
    margin-top: auto;
}

.h1, h1 {
    font-weight: 400;
    letter-spacing: 0.3px;
}

.h2, .h3, .h4, .h5, .h6, h2, h3, h4, h5, h6 {
    font-weight: 400;
    /*font-weight: var(--br-heading-font-weight); // 600 */
    letter-spacing: 0.18px;
}

.h3, .h4, .h5, .h6, h3, h4, h5, h6 {
    /*font-weight: var(--br-heading-font-weight); // 600 */
    letter-spacing: 0.14px;
}

.h4, .h5, .h6, h4, h5, h6 {
    font-weight: 500;
    letter-spacing: 0.1px;
}

.h5, .h6, h5, h6 {
    /*font-weight: var(--br-heading-font-weight); // 600 */
    letter-spacing: 0.3px;
}

.h6, h6 {
    /*font-weight: var(--br-heading-font-weight); // 600 */
    letter-spacing: 0px;
}


.image-hero {
    max-width: 100%;
    height: auto;
    vertical-align: middle;
    position: absolute;
    top: 0;
    bottom: 0;
    object-fit: cover;
    min-height: 100dvh;
}


.height-2 {
    height: 100px
}

.height-3 {
    height: 330px
}

.height-4 {
    height: 450px
}

.height-6 {
    height: 680px
}


.zindex-n1 {
    z-index: -1;
}

.bg-card {
    background-position: center center;
}


pre code.hljs {
    display: block;
    overflow-x: auto;
    padding: 1em
}

code.hljs {
    padding: 3px 2px
}

.hljs {
    background: #F3F3F3;
    color: #abb2bf;
}

.hljs-comment {
    color: #697070
}

.hljs-punctuation, .hljs-tag {
    color: #abb2bf;
}

.hljs-tag .hljs-attr, .hljs-tag .hljs-name {
    /*color: #444*/
}

.hljs-attribute, .hljs-doctag, .hljs-keyword, .hljs-meta .hljs-keyword, .hljs-name, .hljs-selector-tag {
    font-weight: 700
}

.hljs-deletion, .hljs-number, .hljs-quote, .hljs-selector-class, .hljs-selector-id, .hljs-string, .hljs-template-tag, .hljs-type {
    color: #800
}

.hljs-section, .hljs-title {
    color: #800;
    font-weight: 700
}

.hljs-link, .hljs-operator, .hljs-regexp, .hljs-selector-attr, .hljs-selector-pseudo, .hljs-symbol, .hljs-template-variable, .hljs-variable {
    color: #ab5656
}

.hljs-literal {
    color: #695
}

.hljs-addition, .hljs-built_in, .hljs-bullet, .hljs-code {
    color: #397300
}

.hljs-meta {
    color: #1f7199
}

.hljs-meta .hljs-string {
    color: #38a
}

.hljs-emphasis {
    font-style: italic
}

.hljs-strong {
    font-weight: 700
}

.hljs {
    color: #abb2bf;
    background: #282c34
}

.hljs-comment, .hljs-quote {
    color: #5c6370;
    font-style: italic
}

.hljs-doctag, .hljs-formula, .hljs-keyword {
    color: #c678dd
}

.hljs-deletion, .hljs-name, .hljs-section, .hljs-selector-tag, .hljs-subst {
    color: #e06c75
}

.hljs-literal {
    color: #56b6c2
}

.hljs-addition, .hljs-attribute, .hljs-meta .hljs-string, .hljs-regexp, .hljs-string {
    color: #98c379
}

.hljs-attr, .hljs-number, .hljs-selector-attr, .hljs-selector-class, .hljs-selector-pseudo, .hljs-template-variable, .hljs-type, .hljs-variable {
    color: #d19a66
}

.hljs-bullet, .hljs-link, .hljs-meta, .hljs-selector-id, .hljs-symbol, .hljs-title {
    color: #61aeee
}

.hljs-built_in, .hljs-class .hljs-title, .hljs-title.class_ {
    color: #e6c07b
}

.hljs-emphasis {
    font-style: italic
}

.hljs-strong {
    font-weight: 700
}

.hljs-link {
    text-decoration: underline
}

code.hljs {
    background: transparent;
}

[data-pre-code] {
    background: #ffffff08;
    padding-top: 0;
    padding-bottom: 0;
}

.border-black {
    border-color: #000 !important;
}


/* copycode */

.copycode {
    position: relative;
    z-index: 110;

}

.copycode > .copy {
    cursor: pointer;
    padding: 1px;
}

.copycode > .copy svg {
    transition: all 0.1s ease
}

/*.copycode > .copy:hover {*/
/*   transform: scale(1.05);*/
/*}*/

.copycode > .copy:active svg {
    stroke: #24fdbc;
    /*stroke: rgb(1, 194, 136);*/
}

.copycode > .content {
    display: none !important;

}

/* Скрыть элемент .copy по умолчанию */
.copycode .copy {
    visibility: hidden;
    position: absolute;
    transition: opacity 0.3s ease, transform 0.2s ease-out;
    opacity: 0;
    padding: 5px;
    border-radius: 6px;
    background: #12141C;
    z-index: 111;
}

/* Показывать элемент .copy при наведении на .copycode */
.copycode:hover .copy {
    visibility: visible;
    opacity: 1;
}

/* Позиционирование для различных классов */
.copycode .copy-top-left {
    top: -28px;
    left: 0;
    margin-left: -15px;
    transform: translate(-2px, -2px);
}

.copycode .copy-top-center {
    top: -28px;
    left: 50%;
    margin-left: -15px;
    transform: translate(-4px, -2px);
}

.copycode .copy-top-right {
    top: -28px;
    right: 0;
    margin-left: -15px;
    transform: translate(2px, -2px);
}

.copycode .copy-center-left {
    /* !!! */
    top: 50%;
    margin-top: -15px;
    left: -25px;
    transform: translate(-2px, -4px);
}

.copycode .copy-center-center {
    top: 50%;
    margin-top: -12px;
    left: 50%;
    transform: translate(-4px, -4px);
}

.copycode .copy-center-right {
    top: 50%;
    margin-top: -12px;
    right: 0;
    transform: translate(2px, -4px);
}

.copycode .copy-bottom-left {
    bottom: 0;
    left: 0;
    transform: translate(-2px, 2px);
}

.copycode .copy-bottom-center {
    bottom: 0;
    left: 50%;
    transform: translate(-4px, 2px);
}

.copycode .copy-bottom-right {
    bottom: 0;
    right: 0;
    transform: translate(2px, 2px);
}

/* Удаляем смещение при ховере для плавного перехода */
.copycode:hover .copy-top-left,
.copycode:hover .copy-top-center,
.copycode:hover .copy-top-right,
.copycode:hover .copy-center-left,
.copycode:hover .copy-center-center,
.copycode:hover .copy-center-right,
.copycode:hover .copy-bottom-left,
.copycode:hover .copy-bottom-center,
.copycode:hover .copy-bottom-right {
    transform: translate(0, 0);
}


.container-docs {
    height: calc(100dvh - 50px);
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.container-docs {
    height: auto;
    overflow: unset;
}

/* CODE */
code.highlight .hljs-name, code.highlight .hljs-tag, code.highlight .hljs-selector-class, code.highlight .hljs-string, .hljs-template-variable, code.highlight .hljs-type, code.highlight .hljs-string {
    color: #606060;
}

code[class*=language-].highlight, pre, pre[class*=language-] {
    color: #606060;
}


code.highlight .hljs-attr {
    color: #3fca90;
}


/* ! CODE */


/*.docs-background {*/
/*    padding: 2em;*/
/*    background: var(--br-body-bg);*/
/*}*/

.copycode-container {
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    box-shadow:
            1px 3px 1px #ffffff21,   /* светлая тень справа-снизу */
            -1px -3px 1px #00000033;
}

.copycode-container > .block-content {
    position: relative;
    z-index: 5;

    /*background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyMCIgaGVpZ2h0PSIyMCI+CiAgPGNpcmNsZSBjeD0iMTAiIGN5PSIxMCIgcj0iMyIgZmlsbD0iIzBFMEYxNyIgLz4KPC9zdmc+");*/
    /*!*background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyMCIgaGVpZ2h0PSIyMCI+CiAgPGNpcmNsZSBjeD0iMTAiIGN5PSIxMCIgcj0iMyIgZmlsbD0iIzE2MTgyMiIgLz4KPC9zdmc+");*!*/
    /*background-repeat: repeat;*/
    /*background-size: 10px 10px;*/
    padding: 1em;
    transition: background-position 0.3s ease;
}

/*<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20">
  <circle cx="10" cy="10" r="3" fill="#fff" />
</svg>*/
.copycode-container > .copycode-bg {
    content: ' ';
    z-index: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #0E0F17;
    opacity: 0.3;
    /*background-color: #0E0F17;*/
}

.copycode-container > .copycode-stars {
    /*background-color: #333333;*/
    background-color: #242424;
    mask-size: 10px 10px;
    -webkit-mask-size: 10px 10px;
}

.copycode-container > .copycode-stars {
    content: ' ';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
 /* здесь задаёшь цвет точек! */
    -webkit-mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20"><circle cx="10" cy="10" r="2" fill="black"/></svg>');
    -webkit-mask-repeat: repeat;
    mask-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20"><circle cx="10" cy="10" r="2" fill="black"/></svg>');
    mask-repeat: repeat;
    padding: 1em;
    transition: background-position 0.3s ease;
}

.copycode-container > .copycode-content {
    /*content: ' ';*/
    /*position: absolute;*/
    /*top: 0;*/
    /*bottom: 0;*/
    /*left: 0;*/
    /*right: 0;*/
    display: flex;
    align-content: center;
    justify-content: center;

    position: relative;
    z-index: 4;
    padding: 15px;

}


.spaced > * {
    margin: 5px;
}

/*.docs-background:after {*/
/*    z-index: 1;*/
/*    content: ' ';*/
/*    position: absolute;*/
/*    top: 0;*/
/*    bottom: 0;*/
/*    left: 0;*/
/*    right: 0;*/

/*}*/

.copycode-container .copycode-stars:hover {
    background-position: 2px 2px; /* или 1px 1px — для более subtle эффекта */
}


.copycode-container {

}

/*.c-preloader {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    bottom: 0;*/
/*    right: 0;*/
/*    z-index: 1;*/
/*    !*background-color: #11131f;*!*/
/*    display: flex;*/
/*    justify-content: center;*/
/*    align-content: center;*/
/*    align-items: center;*/
/*}*/

/*.c-preloader .inner {*/
/*    max-width: 35%;*/
/*    z-index: 101;*/
/*    position: relative;*/
/*    !*min-height: 300px;*!*/
/*}*/

/*.c-preloader .bg {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    bottom: 0;*/
/*    right: 0;*/
/*    z-index: 99;*/
/*    background-color: #11131f;*/
/*}*/